
// OscDlg.h : Y
//

#pragma once

#include "afxwin.h"
#include <deque>

class CTestSimulatorDlg;

// COscDlg ܤ

class COscDlg : public CDialogEx
{
public:
	COscDlg (CWnd* pParent = NULL);   // зǫغc禡
	virtual ~COscDlg ();

// ܤ
	enum { IDD = IDD_DIALOG_OSC };

private:
	CTestSimulatorDlg* m_pSimulatorDlg;	//Dܲ

	CComboBox m_ctrlComboOutput;		//Output combo boxܼ
	CComboBox m_ctrlComboYInterval;		//Ybj combo boxܼ
	CComboBox m_ctrlComboXInterval;		//Xbj combo boxܼ

	std::deque <CPen*> m_deqPenPtr;		//Hedeque

	double m_dTime;						//ɶ
	double m_dSlctOutputValue;			//output value
	double m_dMaxDataValue;				//ܪi̤ܳj
	double m_dFreq;						//Wv

	int m_iOutputSize;					//channelƥ
	double m_dYInterval;				//Ybj
	int m_iXInterval;					//Xbj
	int m_iYPos;						//Ybj combo boxm
	int m_iXPos;						//Xbj combo boxm

protected:
	HICON m_hIcon;

	virtual void DoDataExchange (CDataExchange* pDX);    // DDX/DDV 䴩

	DECLARE_MESSAGE_MAP ()
public:
	CRect m_rcWork;						//ܪiܲu@

	int m_iSlctOutputNum;				//outputs

	BOOL m_bSim;						//P_
	BOOL m_bModify;						//P_combo box
	BOOL m_bFFT;						//P_iFFT

	virtual BOOL OnInitDialog ();
	afx_msg void OnPaint ();
	afx_msg void OnBnClickedButtonStart ();
	afx_msg void OnBnClickedButtonStop ();
	afx_msg void OnCbnSelchangeComboOutput ();
	afx_msg void OnCbnSelchangeComboValueInterval ();
	afx_msg void OnCbnSelchangeComboTimeInterval ();
	virtual BOOL PreTranslateMessage (MSG* pMsg);
	afx_msg void OnClose ();
	void SetData (double, double, double);
	void SetData (double, double);
	void SetOutputSize (int);
	void InitialData ();	
	int GetTimeInterval () const;
};
