
// TestSimulatorDlg.cpp : @
//


#include "stdafx.h"
#include "TestSimulator.h"
#include "TestSimulatorDlg.h"
#include "afxdialogex.h"

#define _USE_MATH_DEFINES
#include "math.h"

//#include <iostream>
//using namespace std;

#define WIN_WIDTH 1316					//ܲȤϼe			
#define WIN_HEIGHT 559					//ܲȤϰ
#define GRID_R 1						//@Ib|jp
#define MAX_STR_LEN 100					//̤jr (ΩŪini)

#define WHITE RGB (255, 255, 255)		//u@ϭIw]C
#define GRAY  RGB (240, 240, 240)		//IC
#define LIGHT_BLUE RGB (176, 224, 230)	//BlockC
#define RED   RGB (255, 0, 0)			//BlockC		
#define BLACK RGB (0, 0, 0)				//suC

#define	MARK_FONTSIZE 120				//ҦMarkrjp		
#define MARK_WIDTH 90					//Markϰe
#define MARK_LOCK_WIDTH 60				//Lock Markϰe
#define MARK_HEIGHT 40					//Markϰ찪

#define NO_VALUE -10					//sbJT
#define NO_OPER_FLAG -11				//sbB⤸
#define NO_INPUT_FLAG -12				//sbJi
#define COMPUTE_ERROR -13				//\B
#define NO_BLOCK_HEAD -14				//sbsBlock
#define NO_SEL_NUM -15					//sbBlocks

#define NO_BLK_TYPE 0					//Blockݩ{type
#define BLK_IN		1					//BlockIN
#define BLK_OUT		2					//BlockOUT
#define BLK_AND		3					//BlockAND
#define BLK_OR		4					//BlockOR
#define BLK_NOT		5					//BlockNOT
#define BLK_FUN		6					//BlockFUN

#define ZERO 0							//FALSE flag
#define ONE  1							//TRUE flag
#define SIN  2							//Sin flag
#define COS  3							//Cos flag

#define MSEC 0.001						//millisecond
#define MAX_DATA_NUM 512				//̤jxsdataƥ (2)


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


//  App About ϥ CAboutDlg ܤ

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// ܤ
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 䴩

// {X@
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()


// CTestSimulatorDlg ܤ



CTestSimulatorDlg::CTestSimulatorDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CTestSimulatorDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_rcWork.SetRect (0, 0, 0, 0);
	m_rcClient.SetRect(0, 0, 0, 0);
	m_ptLEnd.SetPoint (0, 0);
	m_pOscDlg = NULL;
	m_pOldBitmap = NULL;
	m_clrBg = WHITE;

	m_bInitDlg = FALSE;
	m_bSelectBlk = FALSE;
	m_bMoveBlk = FALSE;
	m_bLineMode = FALSE;
	m_bConnect = FALSE;
	m_bDelBlk = FALSE;
	m_bSimulate = FALSE;
	m_bBgPic = FALSE;
	m_bGrid = FALSE;
	m_bLock = FALSE;

	m_iWorkLeft = 150;
	m_iWorkTop = 10;
	m_iWorkRight = 1150;
	m_iWorkBottom = 510;
	m_iBlkWidth = 100;
	m_iBlkHeight = 50;
	m_iGridX = (int) (m_iBlkWidth / 4.);
	m_iGridY = (int) (m_iBlkHeight / 2.);
	m_iContainerSize = 0;
	m_iSlctBlkNum = 0;
	m_iHeadBlkNum = 0;
	m_iSimBlkNum = 0;
	m_iOutSize = 0;

	m_iStep = 0;
}

void CTestSimulatorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CTestSimulatorDlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_TIMER()
	ON_WM_SIZE()
	ON_WM_LBUTTONDOWN()
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONUP()
	ON_WM_LBUTTONDBLCLK()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON_IN, &CTestSimulatorDlg::OnBnClickedButtonIn)
	ON_BN_CLICKED(IDC_BUTTON_OUT, &CTestSimulatorDlg::OnBnClickedButtonOut)
	ON_BN_CLICKED(IDC_BUTTON_LINE, &CTestSimulatorDlg::OnBnClickedButtonLine)
	ON_BN_CLICKED(IDC_BUTTON_AND, &CTestSimulatorDlg::OnBnClickedButtonAnd)
	ON_BN_CLICKED(IDC_BUTTON_OR, &CTestSimulatorDlg::OnBnClickedButtonOr)
	ON_BN_CLICKED(IDC_BUTTON_NOT, &CTestSimulatorDlg::OnBnClickedButtonNot)
	ON_BN_CLICKED(IDC_BUTTON_FUNCTION, &CTestSimulatorDlg::OnBnClickedButtonFunction)
	ON_BN_CLICKED(IDC_BUTTON_SIMULATE, &CTestSimulatorDlg::OnBnClickedButtonSimulate)
	ON_BN_CLICKED(IDC_BUTTON_BGCOLOR, &CTestSimulatorDlg::OnBnClickedButtonBgcolor)
	ON_BN_CLICKED(IDC_BUTTON_BGPIC, &CTestSimulatorDlg::OnBnClickedButtonBgpic)
	ON_BN_CLICKED(IDC_BUTTON_OPEN, &CTestSimulatorDlg::OnBnClickedButtonOpen)
	ON_BN_CLICKED(IDC_BUTTON_SAVE, &CTestSimulatorDlg::OnBnClickedButtonSave)
	ON_BN_CLICKED(IDC_BUTTON_GRID, &CTestSimulatorDlg::OnBnClickedButtonGrid)
	ON_BN_CLICKED(IDC_BUTTON_LOCK, &CTestSimulatorDlg::OnBnClickedButtonLock)
END_MESSAGE_MAP()


// CTestSimulatorDlg TBz`

BOOL CTestSimulatorDlg::OnInitDialog()
{
	this->SetWindowPos (NULL, 0, 0, WIN_WIDTH, WIN_HEIGHT, SWP_NOZORDER | SWP_NOMOVE);	//]wܲȤϰ
	m_rcWork.SetRect (m_iWorkLeft, m_iWorkTop, m_iWorkRight, m_iWorkBottom);			//]wu@ϰ
	this->GetClientRect (&m_rcClient);													//ŪܲȤϰ
	m_dcBgPic.CreateCompatibleDC (NULL);												//إ߻PܲۮedcAHJIϤ

	CString strIniPath (_T (".\\Initial.ini"));	//.ini|
	CString strAppName (_T ("BgParameter"));	//.ini[`W]

	CString strBgPicBOOL;	//xsIϤLȪr
	CString strBgPicPath;	//xsIϤ|r
	CString strBgColor;		//xsICȪr
	CString strGridBOOL;	//xsILȪr
	CString strLockBOOL;	//xswLȪr
	
	CString strKeyName (_T ("BgPicBOOL"));		//.iniܼƦW
	GetPrivateProfileString (strAppName, strKeyName, _T ("None"), strBgPicBOOL.GetBuffer (MAX_STR_LEN), MAX_STR_LEN, strIniPath);
	strKeyName.Format (_T ("BgPicPath"));
	GetPrivateProfileString (strAppName, strKeyName, _T ("None"), strBgPicPath.GetBuffer (MAX_STR_LEN), MAX_STR_LEN, strIniPath);
	strKeyName.Format (_T ("BgColor"));
	GetPrivateProfileString (strAppName, strKeyName, _T ("None"), strBgColor.GetBuffer (MAX_STR_LEN), MAX_STR_LEN, strIniPath);
	strKeyName.Format (_T ("GridBOOL"));
	GetPrivateProfileString (strAppName, strKeyName, _T ("None"), strGridBOOL.GetBuffer (MAX_STR_LEN), MAX_STR_LEN, strIniPath);
	strKeyName.Format (_T ("LockBOOL"));
	GetPrivateProfileString (strAppName, strKeyName, _T ("None"), strLockBOOL.GetBuffer (MAX_STR_LEN), MAX_STR_LEN, strIniPath);

	//JIϤ(orC)
	if (strBgPicBOOL == _T ("TRUE"))
	{
		m_strPicPath = strBgPicPath;

		//NŪ.bmpwHBITMAP
		HBITMAP hbBgPic;
		//QHBITMAP[ϡALoadImage (handle, Ϥ|, J˦, ϥܼe(), ϥܪ(), LR_LOADFROMFILE: ھڸ|ȸ˦bϹ)
		hbBgPic = (HBITMAP)::LoadImage (AfxGetInstanceHandle (), m_strPicPath, IMAGE_BITMAP, m_rcWork.Width (), m_rcWork.Height (), LR_LOADFROMFILE);
		m_bitmapBgPic.Attach (hbBgPic);
		m_pOldBitmap = m_dcBgPic.SelectObject (&m_bitmapBgPic);

		m_bBgPic = TRUE;
	}
	else if (strBgPicBOOL == _T ("FALSE"))
		m_clrBg = _ttoi (strBgColor);

	//]wIlA
	if (strGridBOOL == _T ("TRUE"))
		m_bGrid = TRUE;

	//JwlA
	if (strLockBOOL == _T ("TRUE"))
		m_bLock = TRUE;

	
	CDialogEx::OnInitDialog();

	// N [...] \[JtΥ\C

	// IDM_ABOUTBOX btΩROd򤧤C
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}
	
	// ]wܤϥܡCε{DOܤɡA
	// ج[|۰ʱqƦ@~
	SetIcon(m_hIcon, TRUE);			// ]wjϥ
	SetIcon(m_hIcon, FALSE);		// ]wpϥ

	m_bInitDlg = TRUE;

	return TRUE;  // Ǧ^ TRUEADzﱱ]wJI
}

void CTestSimulatorDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}

// pGN̤pƫs[JzܤAzݭnUC{XA
// HKøsϥܡCϥΤ/˵Ҧ MFC ε{A
// ج[|۰ʧ@~C

void CTestSimulatorDlg::OnPaint ()
{
	//wīإ
	CPaintDC dcSim (this);				//Dܲdc
	CDC dcMem;							//sdc
	CBitmap bitmapMem;
	CBitmap * pOldBitmap;

	dcMem.CreateCompatibleDC (&dcSim);	//إ߻PDܲۮedc
	bitmapMem.CreateCompatibleBitmap (&dcSim, m_iWorkRight, m_iWorkBottom);
	pOldBitmap = dcMem.SelectObject (&bitmapMem);

	//øsI
	dcMem.SetBkMode (TRANSPARENT);
	dcMem.FillSolidRect (m_rcWork, m_clrBg);

	//ҦMarkrect
	CPoint ptMarkTL (m_iWorkRight - MARK_WIDTH, m_iWorkTop);
	CPoint ptMarkBR (m_iWorkRight, m_iWorkTop + MARK_HEIGHT);
	CRect rcModeMark (ptMarkTL, ptMarkBR);

	//ҦMarkr
	CFont fontModeMark, * pOldFont;	
	fontModeMark.CreatePointFont (MARK_FONTSIZE, _T ("Arial"), &dcMem);	

	//ѦsIϤdcܤsdc
	if (m_bBgPic)
		dcMem.BitBlt (m_iWorkLeft, m_iWorkTop, m_rcWork.Width (), m_rcWork.Height (), &m_dcBgPic, 0, 0, SRCCOPY);

	//øsI
	if (m_bGrid)
	{
		CBrush brushGray (GRAY);
		CBrush* pOldBrush;
		pOldBrush = dcMem.SelectObject (&brushGray);

		for (int i = m_iWorkLeft; i < m_iWorkRight; i += m_iGridX)
		{
			for (int j = m_iWorkTop; j < m_iWorkBottom; j += m_iGridY)		
				dcMem.Ellipse (CRect (i - GRID_R, j - GRID_R, i + GRID_R, j + GRID_R));
		}

		dcMem.SelectObject (pOldBrush);
	}

	//øswMark
	if (m_bLock)
	{
		CPoint ptLockMarkTL (m_iWorkLeft, m_iWorkTop);
		CPoint ptLockMarkBR (m_iWorkLeft + MARK_LOCK_WIDTH, m_iWorkTop + MARK_HEIGHT);
		CRect rcLockMark (ptLockMarkTL, ptLockMarkBR);

		pOldFont = dcMem.SelectObject (&fontModeMark);
		dcMem.DrawText (_T ("Lock"), -1, &rcLockMark, DT_SINGLELINE | DT_CENTER | DT_VCENTER);
		dcMem.SelectObject (pOldFont);
	}

	//øsBlocksu
	for (int i = 0; i < m_iContainerSize; i++)
		m_vcBlkContainer[i]->DrawLine (&dcMem);

	//øsBlock
	if (m_bSelectBlk)
	{
		if (m_iSlctBlkNum >= 0 && m_iSlctBlkNum < m_iContainerSize)
		{
			CPen penLightBlue (PS_SOLID, 10, LIGHT_BLUE);
			CPen* pOldPen;
			pOldPen = dcMem.SelectObject (&penLightBlue);
		
			dcMem.Rectangle (m_vcBlkContainer[m_iSlctBlkNum]->GetBlkRect ());
			dcMem.SelectObject (pOldPen);	
		}		
	}

	//øsҦMarkPBlock
	if (m_bSimulate)
	{
		//øsҦMark
		pOldFont = dcMem.SelectObject (&fontModeMark);
		dcMem.DrawText (_T ("Simulation"), -1, &rcModeMark, DT_SINGLELINE | DT_CENTER | DT_VCENTER);
		dcMem.SelectObject (pOldFont);

		//øsBlock
		CPen penRed (PS_SOLID, 10, RED);
		CPen* pOldPen;
		pOldPen = dcMem.SelectObject (&penRed);
		
		dcMem.Rectangle (m_vcBlkContainer[m_iSimBlkNum]->GetBlkRect ());
		dcMem.SelectObject (pOldPen);
	}

	//øsBlock
	for (int i = 0; i < m_iContainerSize; i++)
		m_vcBlkContainer[i]->Draw (&dcMem);

	//øssuҦMarkPsuuuq
	if (m_bLineMode)
	{
		//øssuҦMar
		pOldFont = dcMem.SelectObject (&fontModeMark);
		dcMem.DrawText (_T ("LineMode"), -1, &rcModeMark, DT_SINGLELINE | DT_CENTER | DT_VCENTER);
		dcMem.SelectObject (pOldFont);

		//øssuuuq
		if (m_bConnect)
		{
			CPen penBlack (PS_DASH, 1, BLACK);
			CPen* pOldPen;

			pOldPen = dcMem.SelectObject (&penBlack);

			CPoint ptLStart = m_vcBlkContainer[m_iHeadBlkNum]->GetPinOutRect ().CenterPoint ();			//uq_IBlockXPinI
			int iCornerGridY = (int) (((ptLStart.y + m_ptLEnd.y) / 2. - m_iWorkTop) / m_iGridY + 0.5);	//suBZu@ϤWXӮI
			int iCornerY = iCornerGridY * m_iGridY + m_iWorkTop;										//suBYy
			dcMem.MoveTo (ptLStart);
			dcMem.LineTo (CPoint (ptLStart.x, iCornerY));
			dcMem.MoveTo (CPoint (ptLStart.x, iCornerY));
			dcMem.LineTo (CPoint (m_ptLEnd.x, iCornerY));
			dcMem.MoveTo (CPoint (m_ptLEnd.x, iCornerY));
			dcMem.LineTo (m_ptLEnd);

			dcMem.SelectObject (pOldPen);
		}		
	}

	//ѤsdcܥDܲdc
	dcSim.BitBlt (m_iWorkLeft, m_iWorkTop, m_rcWork.Width (), m_rcWork.Height (), &dcMem, m_iWorkLeft, m_iWorkTop, SRCCOPY);

	//Mz
	dcMem.SelectObject (pOldBitmap);
	bitmapMem.DeleteObject ();
	dcMem.DeleteDC ();
}

// ϥΪ̩즲̤pƵɡA
// tΩIsoӥ\oܡC
HCURSOR CTestSimulatorDlg::OnQueryDragIcon ()
{
	return static_cast<HCURSOR>(m_hIcon);
}

//UINs
void CTestSimulatorDlg::OnBnClickedButtonIn ()
{
	m_bLineMode = FALSE;	//suҦ

	CBlockBasis* pBlk = new CBlockIn;																				//new@CBlockIn
	pBlk->SetBlkRect (CPoint (m_rcWork.CenterPoint ().x, m_rcWork.CenterPoint ().y), m_iBlkWidth, m_iBlkHeight);	//]wBlock Inrect
	pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());																//]wBlocks
	m_vcBlkContainer.push_back (pBlk);																				//sJBlockvector
	m_iContainerSize = (int) m_vcBlkContainer.size ();																//Blockvector size

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();
}

//UOUTs
void CTestSimulatorDlg::OnBnClickedButtonOut ()
{
	m_bLineMode = FALSE;	//suҦ

	CBlockBasis* pBlk = new CBlockOut;																				//new@CBlockOut
	pBlk->SetBlkRect (CPoint (m_rcWork.CenterPoint ().x, m_rcWork.CenterPoint ().y), m_iBlkWidth, m_iBlkHeight);	//]wBlock Outrect
	pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());																//]wBlocks
	m_vcBlkContainer.push_back (pBlk);																				//sJBlockvector
	m_iContainerSize = (int) m_vcBlkContainer.size ();																//Blockvector size

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();
}

//UANDs
void CTestSimulatorDlg::OnBnClickedButtonAnd ()
{
	m_bLineMode = FALSE;	//suҦ

	CBlockBasis* pBlk = new CBlockAnd;																				//new@CBlockAnd
	pBlk->SetBlkRect (CPoint (m_rcWork.CenterPoint ().x, m_rcWork.CenterPoint ().y), m_iBlkWidth, m_iBlkHeight);	//]wBlock Andrect
	pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());																//]wBlocks
	m_vcBlkContainer.push_back (pBlk);																				//sJBlockvector
	m_iContainerSize = (int) m_vcBlkContainer.size ();																//Blockvector size

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();
}

//UORs
void CTestSimulatorDlg::OnBnClickedButtonOr ()
{
	m_bLineMode = FALSE;	//suҦ

	CBlockBasis* pBlk = new CBlockOr;																				//new@CBlockOr
	pBlk->SetBlkRect (CPoint (m_rcWork.CenterPoint ().x, m_rcWork.CenterPoint ().y), m_iBlkWidth, m_iBlkHeight);	//]wBlock Orrect
	pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());																//]wBlocks
	m_vcBlkContainer.push_back (pBlk);																				//sJBlockvector
	m_iContainerSize = (int) m_vcBlkContainer.size ();																//Blockvector size

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();
}

//UNOTs
void CTestSimulatorDlg::OnBnClickedButtonNot ()
{
	m_bLineMode = FALSE;	//suҦ

	CBlockBasis* pBlk = new CBlockNot;																				//new@CBlockNot
	pBlk->SetBlkRect (CPoint (m_rcWork.CenterPoint ().x, m_rcWork.CenterPoint ().y), m_iBlkWidth, m_iBlkHeight);	//]wBlock Notrect
	pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());																//]wBlocks
	m_vcBlkContainer.push_back (pBlk);																				//sJBlockvector
	m_iContainerSize = (int) m_vcBlkContainer.size ();																//Blockvector size

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();
}

//UFunctions
void CTestSimulatorDlg::OnBnClickedButtonFunction ()
{
	m_bLineMode = FALSE;	//suҦ

	CBlockBasis* pBlk = new CBlockFun;																				//new@CBlockFun
	pBlk->SetBlkRect (CPoint (m_rcWork.CenterPoint ().x, m_rcWork.CenterPoint ().y), m_iBlkWidth, m_iBlkHeight);	//]wBlock Funrect
	pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());																//]wBlocks
	m_vcBlkContainer.push_back (pBlk);																				//sJBlockvector
	m_iContainerSize = (int) m_vcBlkContainer.size ();																//Blockvector size

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();	
}

//ULines
void CTestSimulatorDlg::OnBnClickedButtonLine ()
{
	//]wsuҦíøu@
	if (!m_bSimulate)
	{
		if (m_bLineMode)
			m_bLineMode = FALSE;
		else
		{
			if (!m_vcBlkContainer.empty ())
			{
				m_bLineMode = TRUE;
				InvalidateRect (m_rcWork, FALSE);
				UpdateWindow ();
			}			
		}			
	}
}

//USimulates
void CTestSimulatorDlg::OnBnClickedButtonSimulate ()
{
	if (!m_bSimulate)
	{
		if (m_bSelectBlk && m_iSlctBlkNum >= 0 && m_iSlctBlkNum < m_iContainerSize &&
			m_vcBlkContainer[m_iSlctBlkNum]->BlkTypeIs () == BLK_OUT && m_vcBlkContainer[m_iSlctBlkNum]->GetBlkHeadSize () > 0)
		{
			m_iSimBlkNum = m_iSlctBlkNum;	//]wBlocks
			m_bSimulate = TRUE;				//]wҦ
			m_bLineMode = FALSE;			//suҦ
			m_bDelBlk = FALSE;				//TRBlock

			//YܪiܲХwOAhnew@ӥܪiܲ
			if (m_pOscDlg == NULL)
			{
				m_pOscDlg = new COscDlg (this);
				m_pOscDlg->Create (IDD_DIALOG_OSC, this);
				m_pOscDlg->SetWindowPos (this, 0, 0, 0, 0, SWP_NOSIZE | SWP_NOMOVE | SWP_SHOWWINDOW);
				m_pOscDlg->UpdateData (FALSE);
			}
			else
			{
				m_pOscDlg->ShowWindow (SW_SHOW);
				m_pOscDlg->UpdateData (FALSE);
			}

			//øu@
			InvalidateRect (m_rcWork, FALSE);
			UpdateWindow ();
		}
		else 
			MessageBox (_T ("Please select output block and check if it is connected."));
	}	
}

//UGrids
void CTestSimulatorDlg::OnBnClickedButtonGrid ()
{
	//]wIҦ
	if (!m_bGrid)
		m_bGrid = TRUE;
	else 
	{
		m_bGrid = FALSE;
		m_bLock = FALSE;
	}		

	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();
}

//ULocks
void CTestSimulatorDlg::OnBnClickedButtonLock ()
{
	if (m_bGrid)
	{
		if (!m_bLock)
		{
			m_bLock = TRUE;	//]wwҦ

			//]w{Blockw̬F񪺮IW
			for (int i = 0; i < m_iContainerSize; i++)
			{
				int GridX = (int) ((m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().x - m_iWorkLeft) / (double) m_iGridX + 0.5);
				int GridY = (int) ((m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().y - m_iWorkTop) / (double) m_iGridY + 0.5);
				m_vcBlkContainer[i]->SetBlkRect (CPoint (GridX * m_iGridX + m_iWorkLeft, GridY * m_iGridY + m_iWorkTop), m_iBlkWidth, m_iBlkHeight);
			}
		}		
		else 
			m_bLock = FALSE;
	}

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();
}

//UIϤs
void CTestSimulatorDlg::OnBnClickedButtonBgpic ()
{
	//إCFileDialog (TRUE}ɮ, w]ɦW, lɮצW, OFN_HIDEREADONLY: , z)
	CFileDialog fileDlg (TRUE, NULL, NULL, OFN_HIDEREADONLY | OFN_FILEMUSTEXIST, _T (" bitmap (*.bmp)|*.bmp||"));

	//YFileܲUTw
	if (fileDlg.DoModal () == IDOK)
	{
		m_strPicPath = fileDlg.GetPathName ();	//Ūɮ׸|

		//NŪ.bmpwHBITMAP
		HBITMAP hbBgPic;
		hbBgPic = (HBITMAP)::LoadImage (AfxGetInstanceHandle (), m_strPicPath, IMAGE_BITMAP, m_rcWork.Width (), m_rcWork.Height (), LR_LOADFROMFILE);
		m_bitmapBgPic.Detach ();
		m_bitmapBgPic.Attach (hbBgPic);

		//ȩ󭺦JϤɬlbitmap
		if (!m_bBgPic)
			m_pOldBitmap = m_dcBgPic.SelectObject (&m_bitmapBgPic);
		else
			m_dcBgPic.SelectObject (&m_bitmapBgPic);

		m_bBgPic = TRUE;

		//øu@
		InvalidateRect (m_rcWork, FALSE);
		UpdateWindow ();
	}
}

//UICs
void CTestSimulatorDlg::OnBnClickedButtonBgcolor ()
{
	//إߦmܲ
	CColorDialog clrDlg (m_clrBg, CC_PREVENTFULLOPEN);

	//YmܲUTw
	if (clrDlg.DoModal () == IDOK)
	{
		if (m_bBgPic && m_pOldBitmap != NULL)
		{
			m_dcBgPic.SelectObject (m_pOldBitmap);
			m_bBgPic = FALSE;
		}

		m_clrBg = clrDlg.GetColor ();	//]wIC

		//øu@
		InvalidateRect (m_rcWork, FALSE);
		UpdateWindow ();
	}		
}

//UOpens
void CTestSimulatorDlg::OnBnClickedButtonOpen ()
{
	//ҦUiiŪ
	if (!m_bSimulate)
	{
		//إCFileDialog (TRUE}ɮ, w]ɦW, lɮצW, OFN_HIDEREADONLY: , z)
		CFileDialog fileDlg (TRUE, _T ("txt"), NULL, OFN_HIDEREADONLY | OFN_FILEMUSTEXIST, _T (" txt (*.txt)|*.txt||"));

		//إCStdioFileHŪɮ׸
		CStdioFile fileSim;

		//Yɮ׹ܲUTw
		if (fileDlg.DoModal () == IDOK)
		{
			//}ɮ (ɮ׸|, CFile::modeNoTruncate: MŤ󤺮e | CFile::modeRead: Ū)
			fileSim.Open (fileDlg.GetPathName (), CFile::modeNoTruncate | CFile::modeRead);

			CString strData;		//xsC@Cr
			CStringArray strArray;	//xsC@BlockU
		
			fileSim.ReadString (strData);	//Ūɮ׸ƶir
			if (strData == "BlockData: ")	//ƶ}YBlockDate
			{
				//Ūɮ׮ɨBlock
				m_bSelectBlk = FALSE;		
				m_iSlctBlkNum = NO_SEL_NUM;	

				//Mܪiܲ
				if (m_pOscDlg != NULL)
				{
					m_pOscDlg->DestroyWindow ();
					delete m_pOscDlg;
					m_pOscDlg = NULL;
				}			
				
				//MsBlockvector	
				for (int i = 0; i < m_iContainerSize; i++)
					delete m_vcBlkContainer[i];
				std::vector <CBlockBasis*> ().swap (m_vcBlkContainer);

				//CɮŪ@
				while (fileSim.ReadString (strData))
				{
					SplitString (strData, ',', strArray);	//NŪ쪺rjBlockUơAxsܰ}C

					if (strArray[0] == "IN")		//Block InƤe]tIm, iflag
					{
						CBlockBasis* pBlk = new CBlockIn;
						pBlk->SetBlkRect (CPoint (_ttoi (strArray[1]), _ttoi (strArray[2])), m_iBlkWidth, m_iBlkHeight);
						pBlk->SetInputFlag (_ttoi (strArray[3]));
						pBlk->SetBlkValue ();
						pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());
						m_vcBlkContainer.push_back (pBlk);
						m_iContainerSize = (int) m_vcBlkContainer.size ();
					}
					else if (strArray[0] == "OUT")	//Block OutƤe]tIm, Jchannelƥ, JBlocks
					{
						CBlockBasis* pBlk = new CBlockOut;
						pBlk->SetBlkRect (CPoint (_ttoi (strArray[1]), _ttoi (strArray[2])), m_iBlkWidth, m_iBlkHeight);
						int iBlkHeadSize = _ttoi (strArray[3]);
						for (int i = 0; i < iBlkHeadSize; i++)
						{
							pBlk->SetBlkHead1Num (_ttoi (strArray[4 + i]));	
							pBlk->SetBlkHeadSize (FALSE);
						}
						pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());
						m_vcBlkContainer.push_back (pBlk);
						m_iContainerSize = (int) m_vcBlkContainer.size ();
					}
					else if (strArray[0] == "AND")	//Block AndƤe]tIm, JBlocks
					{
						CBlockBasis* pBlk = new CBlockAnd;
						pBlk->SetBlkRect (CPoint (_ttoi (strArray[1]), _ttoi (strArray[2])), m_iBlkWidth, m_iBlkHeight);
						pBlk->SetBlkHead1Num (_ttoi (strArray[3]));
						pBlk->SetBlkHead2Num (_ttoi (strArray[4]));
						pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());
						m_vcBlkContainer.push_back (pBlk);
						m_iContainerSize = (int) m_vcBlkContainer.size ();
					}
					else if (strArray[0] == "OR")	//Block OrƤe]tIm, JBlocks
					{
						CBlockBasis* pBlk = new CBlockOr;
						pBlk->SetBlkRect (CPoint (_ttoi (strArray[1]), _ttoi (strArray[2])), m_iBlkWidth, m_iBlkHeight);
						pBlk->SetBlkHead1Num (_ttoi (strArray[3]));
						pBlk->SetBlkHead2Num (_ttoi (strArray[4]));
						pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());
						m_vcBlkContainer.push_back (pBlk);
						m_iContainerSize = (int) m_vcBlkContainer.size ();
					}
					else if (strArray[0] == "NOT")	//Block NotƤe]tIm, JBlocks
					{
						CBlockBasis* pBlk = new CBlockNot;
						pBlk->SetBlkRect (CPoint (_ttoi (strArray[1]), _ttoi (strArray[2])), m_iBlkWidth, m_iBlkHeight);
						pBlk->SetBlkHead1Num (_ttoi (strArray[3]));
						pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());
						m_vcBlkContainer.push_back (pBlk);
						m_iContainerSize = (int) m_vcBlkContainer.size ();
					}
					else if (strArray[0] == "FUN")	//Block FunƤe]tIm, JBlocks, B⤸flag
					{
						CBlockBasis* pBlk = new CBlockFun;
						pBlk->SetBlkRect (CPoint (_ttoi (strArray[1]), _ttoi (strArray[2])), m_iBlkWidth, m_iBlkHeight);
						pBlk->SetBlkHead1Num (_ttoi (strArray[3]));
						pBlk->SetBlkHead2Num (_ttoi (strArray[4]));
						pBlk->SetOperFlag (_ttoi (strArray[5]));
						pBlk->SetBlkNum ((int) m_vcBlkContainer.size ());
						m_vcBlkContainer.push_back (pBlk);
						m_iContainerSize = (int) m_vcBlkContainer.size ();
					}
				}

				//ŪAɮ
				fileSim.Close ();

				//Ū쪺JBlocksAs]wC@BlocksBlock
				m_iContainerSize = (int) m_vcBlkContainer.size ();
				for (int i = 0; i < m_iContainerSize; i++)
				{
					if (!(m_vcBlkContainer[i]->BlkTypeIs () == BLK_OUT))
					{
						int iHeadBlk1Num = m_vcBlkContainer[i]->GetBlkHead1Num ();
						if (iHeadBlk1Num >= 0)
							m_vcBlkContainer[i]->SetBlkHead1Ptr (m_vcBlkContainer[iHeadBlk1Num]);
						int iHeadBlk2Num = m_vcBlkContainer[i]->GetBlkHead2Num ();
						if (iHeadBlk2Num >= 0)
							m_vcBlkContainer[i]->SetBlkHead2Ptr (m_vcBlkContainer[iHeadBlk2Num]);
					}
					else
					{
						int iBlkHeadSize = m_vcBlkContainer[i]->GetBlkHeadSize ();
						for (int j = 0; j < iBlkHeadSize; j++)
						{
							int iBlkHeadNum = m_vcBlkContainer[i]->GetBlkHead1Num (j);
							m_vcBlkContainer[i]->SetBlkHead1Ptr (m_vcBlkContainer[iBlkHeadNum]);
						}								
					}			
				}

				//øu@
				InvalidateRect (m_rcWork, FALSE);
				UpdateWindow ();	
			}
			else 
				fileSim.Close ();
		}
	}	
}

//USaves
void CTestSimulatorDlg::OnBnClickedButtonSave ()
{
	//إCFileDialog (FALSExsɮ, w]ɦW, lɮצW, OFN_HIDEREADONLY: , z)
	CFileDialog fileDlg (FALSE, _T ("txt"), _T ("Simulator"), OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, _T (" txt (*.txt)|*.txt||"));
	
	//إCStdioFileHxs
	CStdioFile fileSim;

	//Yɮ׹ܲUTw
	if (fileDlg.DoModal () == IDOK)
	{
		// }ɮ (ɮ׸|, CFile::modeCreate: Hsؤ覡} | CFile::modeWrite: ug)
		fileSim.Open (fileDlg.GetPathName (), CFile::modeCreate | CFile::modeWrite);

		CString strData;	//ΥHgJɮתr
		strData.Format (_T ("BlockData: \n"));
		fileSim.WriteString (strData);

		for (int i = 0; i < m_iContainerSize; i++)
		{
			int iBlkFlag = m_vcBlkContainer[i]->BlkTypeIs ();
			switch (iBlkFlag)
			{
			case BLK_IN:	//Block Inxse]tIm, iflag
				strData.Format (_T ("%3s, %3d, %3d, %2d\n"), "IN", m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().x, m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().y,
								m_vcBlkContainer[i]->GetInputFlag ());
				break;
			case BLK_OUT:	//Block Outxse]tIm, Jchannelƥ, JBlocks
				strData.Format (_T ("%3s, %3d, %3d, %1d"), "OUT", m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().x, m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().y, 
								m_vcBlkContainer[i]->GetBlkHeadSize ());

				for (int j = 0; j < m_vcBlkContainer[i]->GetBlkHeadSize (); j++)
				{			
					CString strNum;
					strNum.Format (_T ("%1d"), m_vcBlkContainer[i]->GetBlkHead1Num (j));
					strData.Append (_T (", "));
					strData.Append (strNum);
				}
				strData.Append (_T ("\n"));
				break;
			case BLK_AND:	//Block Andxse]tIm, JBlocks
				strData.Format (_T ("%3s, %3d, %3d, %1d, %1d\n"), "AND", m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().x, m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().y,
								m_vcBlkContainer[i]->GetBlkHead1Num (), m_vcBlkContainer[i]->GetBlkHead2Num ());
				break;
			case BLK_OR:	//Block Orxse]tIm, JBlocks
				strData.Format (_T ("%3s, %3d, %3d, %1d, %1d\n"), "OR", m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().x, m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().y,
								m_vcBlkContainer[i]->GetBlkHead1Num (), m_vcBlkContainer[i]->GetBlkHead2Num ());
				break;
			case BLK_NOT:	//Block Notxse]tIm, JBlocks
				strData.Format (_T ("%3s, %3d, %3d, %1d\n"), "NOT", m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().x, m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().y,
								m_vcBlkContainer[i]->GetBlkHead1Num ());
				break;
			case BLK_FUN:	//Block Funxse]tIm, JBlocks, B⤸flag
				strData.Format (_T ("%3s, %3d, %3d, %1d, %1d, %2d\n"), "FUN", m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().x, m_vcBlkContainer[i]->GetBlkRect ().CenterPoint ().y,
								m_vcBlkContainer[i]->GetBlkHead1Num (), m_vcBlkContainer[i]->GetBlkHead2Num (), m_vcBlkContainer[i]->GetOperFlag ());
				break;
			default:
				break;
			}

			fileSim.WriteString (strData);	//NrꤺegJɮ
		}

		fileSim.Close ();	//gJAɮ
	}
}

//ƹU
void CTestSimulatorDlg::OnLButtonDown (UINT nFlags, CPoint ptCursor)
{
	SetCapture ();
	
	m_bDelBlk = FALSE;	//ƹUɸTRBlock

	//P_ЬO_Block rectd
	for (int i = m_iContainerSize - 1; i >= 0; i--)
	{
		if (m_vcBlkContainer[i]->GetBlkRect ().PtInRect (ptCursor))
		{
			SetCursor (LoadCursor (NULL, IDC_SIZEALL));
			m_iSlctBlkNum = i;		//Blocks
			m_bSelectBlk = TRUE;
			m_bMoveBlk = TRUE;
			m_bLineMode = FALSE;	//suҦ
			break;
		}
		else	//IDBlockmɡAаO
		{
			m_bSelectBlk = FALSE;
			m_iSlctBlkNum = NO_SEL_NUM;
		}			
	}

	//YBlockAߧYøu@
	if (m_bSelectBlk)
	{
		InvalidateRect (m_rcWork, FALSE);
		UpdateWindow ();
	}

	//suҦɡAP_ЫUmO_XPin}d
	if (m_bLineMode)
	{
		for (int i = 0; i < m_iContainerSize; i++)
		{
			if (m_vcBlkContainer[i]->GetPinOutRect ().PtInRect (ptCursor))
			{
				m_iHeadBlkNum = i;
				m_bConnect = TRUE;
				break;
			}
		}
	}

	CDialogEx::OnLButtonDown (nFlags, ptCursor);
}

//ƹ
void CTestSimulatorDlg::OnMouseMove (UINT nFlags, CPoint ptCursor)
{
	//ʿBlock
	if (m_bMoveBlk)
	{
		//wҦUp⹫Цm̾F񤧮IANʪBlock߳]mӮIm
		if (m_bLock)
		{
			int iGridX = (int) ((ptCursor.x - m_iWorkLeft) / (double) m_iGridX + 0.5);
			int iGridY = (int) ((ptCursor.y - m_iWorkTop) / (double) m_iGridY + 0.5);

			m_vcBlkContainer[m_iSlctBlkNum]->Move (CPoint (iGridX * m_iGridX + m_iWorkLeft, iGridY * m_iGridY + m_iWorkTop));
		}
		else
			m_vcBlkContainer[m_iSlctBlkNum]->Move (ptCursor);
	}
		
	//suҦ
	if (m_bLineMode)
	{
		for (int i = 0; i < m_iContainerSize ; i++)
		{
			//оaBlockXPin}ɡA]wм˦QrbY
			if (m_vcBlkContainer[i]->GetPinOutRect ().PtInRect (ptCursor))
				SetCursor (LoadCursor (NULL, IDC_CROSS));

			//suɡA]wЦmuuq
			if (m_bConnect)
				m_ptLEnd = ptCursor;
		}
	}

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();

	CDialogEx::OnMouseMove (nFlags, ptCursor);
}

//ƹ}
void CTestSimulatorDlg::OnLButtonUp (UINT nFlags, CPoint ptCursor)
{
	//BlockɡAiRBlock
	if (m_bSelectBlk)
		m_bDelBlk = TRUE;

	if (m_bMoveBlk)
	{
		//BlockAUAƹ}mWXu@ϡAh]wBlock^u@Ϥ
		if (!(m_rcWork.PtInRect (m_vcBlkContainer[m_iSlctBlkNum]->GetBlkRect ().TopLeft ()) && 
			  m_rcWork.PtInRect (m_vcBlkContainer[m_iSlctBlkNum]->GetBlkRect ().BottomRight ())))
			m_vcBlkContainer[m_iSlctBlkNum]->Move (CPoint (m_rcWork.CenterPoint ().x, m_rcWork.CenterPoint ().y));

		m_bMoveBlk = FALSE;	
	}
	
	//suҦU
	if (m_bLineMode && m_bConnect)
	{
		//P_ƹ}mO_BlockJPin}dAYOAh]wBlocks_lBlock
		for (int i = 0; i < m_iContainerSize; i++)
		{
			if (m_vcBlkContainer[i]->GetPinIn1Rect ().PtInRect (ptCursor))
			{
				m_vcBlkContainer[i]->SetBlkHead1Ptr (m_vcBlkContainer[m_iHeadBlkNum]);
				m_vcBlkContainer[i]->SetBlkHead1Num (m_iHeadBlkNum);
				m_vcBlkContainer[i]->SetBlkHeadSize (FALSE);
				break;
			}

			if (m_vcBlkContainer[i]->GetPinIn2Rect ().PtInRect (ptCursor))
			{
				m_vcBlkContainer[i]->SetBlkHead2Ptr (m_vcBlkContainer[m_iHeadBlkNum]);
				m_vcBlkContainer[i]->SetBlkHead2Num (m_iHeadBlkNum);
				m_vcBlkContainer[i]->SetBlkHeadSize (FALSE);
				break;
			}		
		}

		m_bConnect = FALSE;	//ƹ}ɡAsuuq
	}	

	ReleaseCapture ();

	//øu@
	InvalidateRect (m_rcWork, FALSE);
	UpdateWindow ();

	CDialogEx::OnLButtonUp(nFlags, ptCursor);
}

//ƹ
void CTestSimulatorDlg::OnLButtonDblClk (UINT nFlags, CPoint ptCursor)
{
	//ҦUiBlock flag
	if (!m_bSimulate)
	{
		for (int i = 0; i < m_iContainerSize; i++)
		{
			if (m_vcBlkContainer[i]->GetBlkRect ().PtInRect (ptCursor))
			{
				if (m_vcBlkContainer[i]->BlkTypeIs () == BLK_IN)		//Block InJiflag
				{
					CInputDlg inputdlgSim;
					inputdlgSim.SetInputFlag (m_vcBlkContainer[i]->GetInputFlag ());

					if (inputdlgSim.DoModal () == IDOK)
					{
						m_vcBlkContainer[i]->SetInputFlag (inputdlgSim.GetInputFlag ());
						m_vcBlkContainer[i]->SetBlkValue ();
					}
						
					else
						MessageBox (_T ("The input has not been changed."));
				}
				else if (m_vcBlkContainer[i]->BlkTypeIs () == BLK_FUN)	//Block FunB⤸flag
				{
					CFunDlg fundlgSim;
					fundlgSim.SetOperFlag (m_vcBlkContainer[i]->GetOperFlag ());

					if (fundlgSim.DoModal () == IDOK)
						m_vcBlkContainer[i]->SetOperFlag (fundlgSim.GetOperFlag ());
					else
						MessageBox (_T ("The operator has not been changed."));
				}

				break;
			}
		}
	}	

	CDialogEx::OnLButtonDblClk (nFlags, ptCursor);
}

void CTestSimulatorDlg::OnTimer (UINT_PTR nIDEvent)
{
	if (nIDEvent == 0)
		KillTimer (0);
	
	int iTimeInterval = m_pOscDlg->GetTimeInterval ();	//oϥΪ̳]wɶj(ms)
	double dTime = m_iStep * iTimeInterval * MSEC;		//i`ɶ(s)

	std::deque <double> deqRowValue;	//ΥHxsC@ӮɶIUUinput channel

	//eP_inputO_Xz(ȧP_@)
	if (m_iStep == 0)
	{
		m_iOutSize = m_vcBlkContainer[m_iSimBlkNum]->GetBlkHeadSize ();	//Ūchannelƥ

		for (int i = 0; i < m_iOutSize; i++)
		{
			int iValueFlag = m_vcBlkContainer[m_iSimBlkNum]->GetValueFlag (i);
			
			if (iValueFlag == NO_VALUE)				//sbinput signal
			{
				MessageBox (_T ("Please check if the output block exists input signal."));
				m_pOscDlg->m_bSim = FALSE;
				m_pOscDlg->m_bModify = TRUE;
				break;
			}
			else if (iValueFlag == COMPUTE_ERROR)	//sb\B覡
			{
				MessageBox (_T ("Operation is not allowed."));
				m_pOscDlg->m_bSim = FALSE;
				m_pOscDlg->m_bModify = TRUE;
				break;
			}
			else if (iValueFlag == NO_OPER_FLAG)	//Block Fun]wB⤸
			{
				MessageBox (_T ("Please check if the operator in function block has been set up."));
				m_pOscDlg->m_bSim = FALSE;
				m_pOscDlg->m_bModify = TRUE;
				break;
			}
			else
				m_pOscDlg->m_bSim = TRUE;	
		}	
	}	

	//inputXzBA}l
	if (m_pOscDlg->m_bSim)
	{	
		if (m_iStep == 0)
		{
			m_pOscDlg->SetOutputSize (m_iOutSize);	//]wܪiܲchannel
			m_pOscDlg->InitialData ();				//lƥܪiܲ(channelƥ, He)
			m_deq2DOutputValue.clear ();			//}leMŤGx}
		}	

		//]wӮɶUAC@Block In
		for (int i = 0; i < m_iContainerSize; i++)
		{
			if (m_vcBlkContainer[i]->BlkTypeIs () == BLK_IN)
			{
				if (m_vcBlkContainer[i]->GetInputFlag () == SIN)
					m_vcBlkContainer[i]->SetBlkValue (dTime);
				else if (m_vcBlkContainer[i]->GetInputFlag () == COS)
					m_vcBlkContainer[i]->SetBlkValue (dTime);
			}
		}

		//oBlock Out(hchannel)
		for (int i = 0; i < m_iOutSize; i++)	
		{
			double dValue =  m_vcBlkContainer[m_iSimBlkNum]->GetBlkValue (i);
			deqRowValue.push_back (dValue);	//sJCVq(ӮɶIUC@input channel)
		}		

		int iDataSize = (int) m_deq2DOutputValue.size ();	//Ū`dataƥ

		//Y`dataƥضWLw]̤jdataơARĤ@dataAåѥݥ[Jsdata
		if (iDataSize < MAX_DATA_NUM)
			m_deq2DOutputValue.push_back (deqRowValue);
		else
		{
			m_deq2DOutputValue.pop_front ();
			m_deq2DOutputValue.push_back (deqRowValue); 
		}

		//FFTDYWv
		double dOutFreq = 0.;
		if (iDataSize == MAX_DATA_NUM /*&& m_pOscDlg->m_bFFT*/)
		{
			std::deque <double> deqOutputData;
			for (int i = 0; i < MAX_DATA_NUM; i++)
			{
				double dValue = m_deq2DOutputValue[i][m_pOscDlg->m_iSlctOutputNum];
				deqOutputData.push_back (dValue);
			}			

			dOutFreq = FFT (deqOutputData, MAX_DATA_NUM, iTimeInterval * MSEC);
		}

		//ǭȦܥܪiܲ(eɶ, output value, Wv)
		m_pOscDlg->SetData(dTime, deqRowValue[m_pOscDlg->m_iSlctOutputNum], dOutFreq);
		//m_pOscDlg->SetData (dTime, deqRowValue[m_pOscDlg->m_iSlctOutputNum]);

		m_iStep++;

		//sܪiܲ
		m_pOscDlg->UpdateData (FALSE);
		m_pOscDlg->InvalidateRect (m_pOscDlg->m_rcWork, FALSE);
		m_pOscDlg->UpdateWindow ();
	}	

	CDialogEx::OnTimer (nIDEvent);

	if (m_pOscDlg->m_bSim && nIDEvent == 0)
		SetTimer (0, 10, NULL);
}

//Dܲjp
void CTestSimulatorDlg::OnSize (UINT nType, int cx, int cy)
{
	CDialogEx::OnSize(nType, cx, cy);

	//ͦDܲɤiJ
	if (m_bInitDlg)
	{	
		//P_O_̤p
		if (!IsIconic ())
		{
			//oDܲȤ
			CRect rcCurClient;
			this->GetClientRect (&rcCurClient);

			//px, yVY
			double dMultipleWid = rcCurClient.Width () / (double) m_rcClient.Width ();
			m_rcClient.right = rcCurClient.Width ();
			double dMultipleHeight = rcCurClient.Height () / (double) m_rcClient.Height ();
			m_rcClient.bottom = rcCurClient.Height ();

			//]wsu@ϰ
			m_iWorkLeft = (int) (dMultipleWid * m_iWorkLeft + 0.5);
			m_iWorkTop = (int) (dMultipleHeight * m_iWorkTop + 0.5);
			m_iWorkRight = (int) (dMultipleWid * m_iWorkRight + 0.5);
			m_iWorkBottom = (int) (dMultipleHeight * m_iWorkBottom + 0.5);
			m_rcWork.SetRect (m_iWorkLeft, m_iWorkTop, m_iWorkRight, m_iWorkBottom);

			//]wsmPjp
			Resize (IDC_BUTTON_IN , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_OUT , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_AND , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_OR , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_NOT , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_FUNCTION , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_LINE , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_SIMULATE , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_GRID , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_LOCK , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_BGPIC , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_BGCOLOR , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_OPEN , dMultipleWid, dMultipleHeight);
			Resize (IDC_BUTTON_SAVE , dMultipleWid, dMultipleHeight);

			//sJIϤ
			if (m_bBgPic)
			{
				HBITMAP hbBgPic;
				hbBgPic = (HBITMAP)::LoadImage (AfxGetInstanceHandle (), m_strPicPath, IMAGE_BITMAP, m_rcWork.Width (), m_rcWork.Height (), LR_LOADFROMFILE);
				m_bitmapBgPic.Detach ();
				m_bitmapBgPic.Attach (hbBgPic);
				m_dcBgPic.SelectObject (&m_bitmapBgPic);
			}
			
			//]wsBlockmPjp
			m_iBlkWidth = (int) (m_iBlkWidth * dMultipleWid + 0.5);
			m_iBlkHeight = (int) (m_iBlkHeight * dMultipleHeight + 0.5);
			m_iGridX = (int) (m_iBlkWidth / 4. + 0.5);
			m_iGridY = (int) (m_iBlkHeight / 2. + 0.5);
			for (int i = 0; i < m_iContainerSize; i++)
				Resize (m_vcBlkContainer[i], dMultipleWid, dMultipleHeight);
			
			//øu@
			Invalidate (TRUE);
			UpdateWindow ();	

			//YsbܪiܲAhܵ
			if (m_bSimulate && m_pOscDlg != NULL)
				m_pOscDlg->ShowWindow (SW_SHOW);
		}
	}	
}

BOOL CTestSimulatorDlg::PreTranslateMessage (MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		//UR
		if (pMsg->wParam == VK_DELETE && !m_vcBlkContainer.empty () && m_bDelBlk && !m_bSimulate)
		{
			//P_LBlockO_sܸӧRBlockAYAhMs
			for (int i = 0; i < m_iContainerSize; i++)
			{
				if (!(m_vcBlkContainer[i]->BlkTypeIs () == BLK_OUT))
				{
					if (m_vcBlkContainer[i]->GetBlkHead1Ptr () == m_vcBlkContainer[m_iSlctBlkNum])
					{
						m_vcBlkContainer[i]->SetBlkHead1Ptr (NULL);
						m_vcBlkContainer[i]->SetBlkHead1Num (NO_BLOCK_HEAD);
					}		

					if (m_vcBlkContainer[i]->GetBlkHead2Ptr () == m_vcBlkContainer[m_iSlctBlkNum])
					{
						m_vcBlkContainer[i]->SetBlkHead2Ptr (NULL);
						m_vcBlkContainer[i]->SetBlkHead2Num (NO_BLOCK_HEAD);
					}
				}
				else
				{
					int iBlkHeadSize = m_vcBlkContainer[i]->GetBlkHeadSize ();
					for (int j = 0; j < iBlkHeadSize; j++)
					{
						if (m_vcBlkContainer[i]->GetBlkHead1Ptr (j) == m_vcBlkContainer[m_iSlctBlkNum])
						{
							m_vcBlkContainer[i]->DeleteBlkHead1Ptr (j);
							m_vcBlkContainer[i]->SetBlkHeadSize (TRUE);
						}
					}
				}					
			}

			//MBlock
			delete m_vcBlkContainer[m_iSlctBlkNum];

			m_vcBlkContainer.erase (m_vcBlkContainer.begin () + m_iSlctBlkNum);
			m_iContainerSize = (int) m_vcBlkContainer.size ();

			//ss
			for (int i = 0; i < m_iContainerSize; i++)
				m_vcBlkContainer[i]->SetBlkNum (i);

			//s]wss
			for (int i = 0; i < m_iContainerSize; i++)
			{
				if (!(m_vcBlkContainer[i]->BlkTypeIs () == BLK_OUT))
				{
					if (m_vcBlkContainer[i]->GetBlkHead1Ptr () != NULL)
					{
						int iBlkHead1Num = m_vcBlkContainer[i]->GetBlkHead1Ptr ()->GetBlkNum ();
						m_vcBlkContainer[i]->SetBlkHead1Num (iBlkHead1Num);
					}

					if (m_vcBlkContainer[i]->GetBlkHead2Ptr () != NULL)
					{
						int iBlkHead2Num = m_vcBlkContainer[i]->GetBlkHead2Ptr ()->GetBlkNum ();
						m_vcBlkContainer[i]->SetBlkHead2Num (iBlkHead2Num);
					}		
				}
				else
				{
					int iBlkHeadSize = m_vcBlkContainer[i]->GetBlkHeadSize ();
					m_vcBlkContainer[i]->ClearBlkHead1Num ();
					for (int j = 0; j < iBlkHeadSize; j++)
					{
						int iBlkHeadNum = m_vcBlkContainer[i]->GetBlkHead1Ptr (j)->GetBlkNum ();
						m_vcBlkContainer[i]->SetBlkHead1Num (iBlkHeadNum);
					}
				}
			}

			//RA
			m_bSelectBlk = FALSE;
			m_iSlctBlkNum = NO_SEL_NUM;
			m_bDelBlk = FALSE;

			//øu@
			InvalidateRect (m_rcWork, FALSE);
			UpdateWindow ();
		}
		//UESC
		else if (pMsg->wParam == VK_ESCAPE)
		{
			m_bSelectBlk = FALSE;
			m_iSlctBlkNum = NO_SEL_NUM;
			m_bMoveBlk = FALSE;
			m_bLineMode = FALSE;
			m_bConnect = FALSE;
			m_bDelBlk = FALSE;

			//øu@
			InvalidateRect (m_rcWork, FALSE);
			UpdateWindow ();

			return TRUE;
		}
		//UENTER
		else if (pMsg->wParam == VK_RETURN)
			return TRUE;
	}

	return CDialogEx::PreTranslateMessage(pMsg);
}

void CTestSimulatorDlg::OnDestroy ()
{
	CString strIniPath (_T (".\\Initial.ini"));	//.ini|
	CString strAppName (_T ("BgParameter"));	//.ini[`W]
	CString strColorRef;						//Cܼ
	strColorRef.Format (_T ("%u"), m_clrBg);	//NCରr

	//IT
	CString strKeyName (_T ("BgPicBOOL"));		//.iniܼƦW
	if (m_bBgPic)
	{
		WritePrivateProfileString (strAppName, strKeyName, _T ("TRUE"), strIniPath);	//JIϤ
		strKeyName.Format (_T ("BgPicPath"));
		WritePrivateProfileString (strAppName, strKeyName, m_strPicPath, strIniPath);	//IϤ|
		strKeyName.Format (_T ("BgColor"));
		WritePrivateProfileString (strAppName, strKeyName, _T ("None"), strIniPath);	//IC⬰None
	}
	else
	{
		WritePrivateProfileString (strAppName, strKeyName, _T ("FALSE"), strIniPath);	//JIϤ
		strKeyName.Format (_T ("BgPicPath"));
		WritePrivateProfileString (strAppName, strKeyName, _T ("None"), strIniPath);	//IϤ|None
		strKeyName.Format (_T ("BgColor"));
		WritePrivateProfileString (strAppName, strKeyName, strColorRef, strIniPath);	//IC
	}

	//I}һP_
	strKeyName.Format (_T ("GridBOOL"));
	if (m_bGrid)
		WritePrivateProfileString (strAppName, strKeyName, _T ("TRUE"), strIniPath);
	else
		WritePrivateProfileString (strAppName, strKeyName, _T ("FALSE"), strIniPath);

	//w}һP_
	strKeyName.Format (_T ("LockBOOL"));
	if (m_bLock)
		WritePrivateProfileString (strAppName, strKeyName, _T ("TRUE"), strIniPath);
	else
		WritePrivateProfileString (strAppName, strKeyName, _T ("FALSE"), strIniPath);

	//MsIϤdc
	m_dcBgPic.SelectObject (m_pOldBitmap);
	m_dcBgPic.DeleteDC ();

	//Mܪiܲ
	if (m_pOscDlg != NULL)
	{
		m_pOscDlg->DestroyWindow ();
		delete m_pOscDlg;
	}
			
	//MBlock vector
	for (int i = 0; i < m_iContainerSize; i++)
		delete m_vcBlkContainer[i];

	CDialogEx::OnDestroy();
}

//N@Cr̾ڤjŸάWߦr
void CTestSimulatorDlg::SplitString (CString str, char cSplit, CStringArray& strarray)
{
	strarray.RemoveAll ();
	CString strTemp = str;	

	while (1)
	{
		int iIndex = strTemp.Find (cSplit);

		if (iIndex >= 0)
		{
			CString strLeft = strTemp.Left (iIndex);
			strLeft.Remove (' ');
			strarray.Add (strLeft);
			strTemp = strTemp.Right (strTemp.GetLength () - 1 - iIndex);
		}	
		else
			break;
	}

	strTemp.Remove (' ');
	strarray.Add (strTemp);
}

//s]wmΤjp
void CTestSimulatorDlg::Resize (int nID, double dMulWid, double dMulHei)
{
	CRect rcItem;
	GetDlgItem (nID)->GetWindowRect (&rcItem);
	ScreenToClient (&rcItem);
	rcItem.TopLeft ().x = (int) (rcItem.TopLeft ().x * dMulWid + 0.5);
	rcItem.TopLeft ().y = (int) (rcItem.TopLeft ().y * dMulHei + 0.5);
	rcItem.BottomRight ().x = (int) (rcItem.BottomRight ().x * dMulWid + 0.5);
	rcItem.BottomRight ().y = (int) (rcItem.BottomRight ().y * dMulHei + 0.5);

	GetDlgItem (nID)->MoveWindow (rcItem);
}

//s]wBlockmΤjp
void CTestSimulatorDlg::Resize (CBlockBasis* pBlk, double dMulWid, double dMulHei)
{
	CRect rcItem = pBlk->GetBlkRect ();

	rcItem.TopLeft ().x = (int) (rcItem.TopLeft ().x * dMulWid + 0.5);
	rcItem.TopLeft ().y = (int) (rcItem.TopLeft ().y * dMulHei + 0.5);
	rcItem.BottomRight ().x = (int) (rcItem.BottomRight ().x * dMulWid + 0.5);
	rcItem.BottomRight ().y = (int) (rcItem.BottomRight ().y * dMulHei + 0.5);

	pBlk->SetBlkRect (rcItem.CenterPoint (), m_iBlkWidth, m_iBlkHeight);
}

//pdatah(ΩFFT)
int CTestSimulatorDlg::GetComputationLayers(int iDataSize)
{
	int m_iLayers = 1;

	if (iDataSize == 2)
		return 1;
	while (1)
	{
		iDataSize = iDataSize / 2;
		m_iLayers++;

		if (iDataSize == 2)
			return m_iLayers;
		if (iDataSize <= 1)
			return -1;
	}
}

//FFTDYWv
double CTestSimulatorDlg::FFT (const std::deque <double> & deq2dData, int iSize, double dUnitTime)
{
	std::deque <CComplex> deqFData;
	std::deque <CComplex> deqWeights;
	std::deque <CComplex> deqX;
	std::deque <double> deqAmplitude;

	int iDeqLen = iSize;
	int iLayers = GetComputationLayers (iSize);

	for (int i = 0; i < iDeqLen; i++)
		deqFData.push_back (CComplex (deq2dData[i], 0));

	double dFixedFactors = (-2 * M_PI) / iDeqLen;

	//pvǦC
	for (int i = 0; i < iDeqLen / 2; i++)
	{
		double dAngle = i * dFixedFactors;
		deqWeights.push_back (CComplex (cos (dAngle), sin (dAngle)));
	}

	for (int i = 0; i < iDeqLen / 2; i++)
		deqWeights.push_back (CComplex (-deqWeights[i].m_dReal, -deqWeights[i].m_dImag));

	//p˧ǦX
	for (int i = 0; i < iDeqLen; i++)
	{
		int iIndex = 0;
		for (int j = iLayers - 1; j >= 0; j--)
			iIndex += (1 && (i & (1 << j))) << (iLayers - j - 1);

		deqX.push_back (deqFData[iIndex]);
	}

	//pFFT
	for (int L = 1; L <= iLayers; L++)
	{
		int iDistance = 1 << (L - 1);
		int iW = 1 << (iLayers - L);	//`ƪ׳QѪ

		int iB = iDeqLen >> L;			//ݭpXƪ׬iNť߸ഫ
		int iN = iDeqLen / iB;			//ݭpť߸ഫƪ

		for (int b = 0; b < iB; b++)
		{
			int iMid = b * iN;
			for (int n = 0; n < iN / 2; n++)
			{
				int iIndex = n + iMid;
				deqFData[iIndex] = deqX[iIndex] + deqWeights[n * iW] * deqX[iIndex + iDistance];	//Fe + W*Fo
			}

			for (int n = iN / 2; n < iN; n++)
			{
				int iIndex = n + iMid;
				deqFData[iIndex] = deqX[iIndex - iDistance] + deqWeights[n * iW] * deqX[iIndex];	//Fe - W*Fo 
			}
		}

		deqX = deqFData;
	}

	//p⮶T
	for (int i = 0; i < iDeqLen; i++)
		deqAmplitude.push_back (deqFData[i].ComputeAmplitude ());

	double dMaxAmp = 0.;					//ŧi̤jTܼ
	double dCornerFreq = 1 / dUnitTime / 2;	//pIWv
	double dOutFreq = 0.;					//̤j֥X{Wv

	//W줤X{̤jTmAWvYXWv
	for (int i = 0; i < iDeqLen; i++)
	{
		double dFreq = i / (dUnitTime * (iDeqLen - 1));
		if (dFreq > dCornerFreq)
			break;

		if (deqAmplitude[i] > dMaxAmp)
		{
			dMaxAmp = deqAmplitude[i];
			dOutFreq = dFreq;
		}
	}

	return dOutFreq;
}