
// TestSimulatorDlg.h : Y
//

#pragma once

#include "BlockBasis.h"
#include "BlockIn.h"
#include "BlockOut.h"
#include "BlockAnd.h"
#include "BlockOr.h"
#include "BlockNot.h"
#include "BlockFun.h"
#include "InputDlg.h"
#include "FunDlg.h"
#include "OscDlg.h"
#include "Complex.h"

#include <vector>
#include <deque>


// CTestSimulatorDlg ܤ
class CTestSimulatorDlg : public CDialogEx
{
// غc
public:
	CTestSimulatorDlg(CWnd* pParent = NULL);	// зǫغc禡

// ܤ
	enum { IDD = IDD_TESTSIMULATOR_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 䴩

private:
	std::vector <CBlockBasis*> m_vcBlkContainer;	//s񤣦PBlockvector

	CRect m_rcWork;									//u@
	CRect m_rcClient;								//ܲȤ
	CPoint m_ptLEnd;								//suuqI
	COscDlg* m_pOscDlg;								//ܪiܲ
	CDC m_dcBgPic;									//sIϤdc
	CBitmap m_bitmapBgPic;							//sIϤbitmap
	CBitmap* m_pOldBitmap;							//Vbitmap
	CString m_strPicPath;							//IϤ|
	COLORREF m_clrBg;								//IC

	BOOL m_bInitDlg;								//P_ܵl
	BOOL m_bSelectBlk;								//P_Block
	BOOL m_bMoveBlk;								//P_Block
	BOOL m_bLineMode;								//P_euҦ
	BOOL m_bConnect;								//P_su
	BOOL m_bDelBlk;									//P_BlockR
	BOOL m_bBgPic;									//P_JIϤ
	BOOL m_bGrid;									//P_I
	BOOL m_bLock;									//P_wI	

	int m_iWorkLeft;								//u@ϥy
	int m_iWorkTop;									//u@ϤWy
	int m_iWorkRight;								//u@ϥky
	int m_iWorkBottom;								//u@ϤUy
	int m_iBlkWidth;								//Blocke
	int m_iBlkHeight;								//Block
	int m_iGridX;									//XVIj
	int m_iGridY;									//YVIj
	int m_iContainerSize;							//sBlockvectorjp
	int m_iSlctBlkNum;								//Blocks
	int m_iHeadBlkNum;								//sBlocks
	int m_iSimBlkNum;								//Blocks
	int m_iOutSize;									//Blockchannelƥ

// {X@
protected:
	HICON m_hIcon;

	// ͪT禡
	virtual BOOL OnInitDialog ();
	afx_msg void OnSysCommand (UINT nID, LPARAM lParam);
	afx_msg void OnPaint ();
	afx_msg HCURSOR OnQueryDragIcon ();
	DECLARE_MESSAGE_MAP ()
public:
	std::deque <std::deque <double> > m_deq2DOutputValue;	//soutput valuedeque
	BOOL m_bSimulate;										//P_Ҧ
	int m_iStep;											//iB

	afx_msg void OnBnClickedButtonIn ();
	afx_msg void OnBnClickedButtonOut ();
	afx_msg void OnBnClickedButtonAnd ();
	afx_msg void OnBnClickedButtonOr ();
	afx_msg void OnBnClickedButtonNot ();
	afx_msg void OnBnClickedButtonFunction ();
	afx_msg void OnBnClickedButtonLine ();
	afx_msg void OnBnClickedButtonSimulate ();
	afx_msg void OnBnClickedButtonGrid ();
	afx_msg void OnBnClickedButtonLock ();
	afx_msg void OnBnClickedButtonBgpic ();
	afx_msg void OnBnClickedButtonBgcolor ();
	afx_msg void OnBnClickedButtonOpen ();
	afx_msg void OnBnClickedButtonSave ();
	afx_msg void OnLButtonDown (UINT nFlags, CPoint ptCursor);
	afx_msg void OnMouseMove (UINT nFlags, CPoint ptCursor);
	afx_msg void OnLButtonUp (UINT nFlags, CPoint ptCursor);
	afx_msg void OnLButtonDblClk (UINT nFlags, CPoint point);
	afx_msg void OnTimer (UINT_PTR nIDEvent);
	afx_msg void OnSize (UINT nType, int cx, int cy);
	virtual BOOL PreTranslateMessage (MSG* pMsg);
	afx_msg void OnDestroy ();

	void SplitString (CString, char, CStringArray&);
	void Resize (int nID, double dMulWid, double dMulHei);
	void Resize (CBlockBasis* pBlk, double dMulWid, double dMulHei);
	int GetComputationLayers (int iDataSize);
	double FFT (const std::deque <double> &, int, double);
};
